[med-svn] [Git][med-team/fermi-lite][master] 3 commits: fix sync_instead_of_atomic patch and re-enable it
Michael R. Crusoe
gitlab at salsa.debian.org
Mon Mar 30 09:56:37 BST 2020
Michael R. Crusoe pushed to branch master at Debian Med / fermi-lite
Commits:
bf6e08b6 by Michael R. Crusoe at 2020-03-30T10:33:09+02:00
fix sync_instead_of_atomic patch and re-enable it
- - - - -
c19499e7 by Michael R. Crusoe at 2020-03-30T10:49:48+02:00
Added a basic test
- - - - -
b4ea6f1d by Michael R. Crusoe at 2020-03-30T10:55:52+02:00
release 0.1-12
- - - - -
6 changed files:
- debian/changelog
- debian/patches/series
- debian/patches/sync_instead_of_atomic
- debian/rules
- + debian/tests/asm
- debian/tests/control
Changes:
=====================================
debian/changelog
=====================================
@@ -1,3 +1,13 @@
+fermi-lite (0.1-12) unstable; urgency=medium
+
+ * Team upload.
+ * debian/patches/sync_instead_of_atomic: fix logic and re-enable (fetch the
+ previous value, not the new one). Fixes build on mipsel.
+ * Added a basic package time test & autopkgtest to confirm the patch using
+ fml-asm
+
+ -- Michael R. Crusoe <michael.crusoe at gmail.com> Mon, 30 Mar 2020 10:55:37 +0200
+
fermi-lite (0.1-11) unstable; urgency=medium
[ Steve Langasek ]
=====================================
debian/patches/series
=====================================
@@ -4,4 +4,4 @@ rename_bseq1_t.patch
bcf_seqlib.patch
simde
ensure-signed-comparison.patch
-# sync_instead_of_atomic
+sync_instead_of_atomic
=====================================
debian/patches/sync_instead_of_atomic
=====================================
@@ -7,7 +7,7 @@ Subject: fix compatibility on mipsel
uint64_t *p = bits + (x>>6);
uint64_t z = 1LLU<<(x&0x3f);
- __sync_fetch_and_or(p, z);
-+ __atomic_or_fetch(p, z, __ATOMIC_SEQ_CST);
++ __atomic_fetch_or(p, z, __ATOMIC_SEQ_CST);
}
static inline void set_bits(uint64_t *bits, const rldintv_t *p)
@@ -16,7 +16,7 @@ Subject: fix compatibility on mipsel
p[0] = w->visited + (d->z.k[0]>>6); x[0] = 1LLU<<(d->z.k[0]&0x3f);
p[1] = w->visited + (d->z.k[1]>>6); x[1] = 1LLU<<(d->z.k[1]&0x3f);
- if ((__sync_fetch_and_or(p[0], x[0])&x[0]) || (__sync_fetch_and_or(p[1], x[1])&x[1])) return;
-+ if ((__atomic_or_fetch(p[0], x[0], __ATOMIC_SEQ_CST)&x[0]) || (__atomic_or_fetch(p[1], x[1], __ATOMIC_SEQ_CST)&x[1])) return;
++ if ((__atomic_fetch_or(p[0], x[0], __ATOMIC_SEQ_CST)&x[0]) || (__atomic_fetch_or(p[1], x[1], __ATOMIC_SEQ_CST)&x[1])) return;
d->z.len = d->str.l;
if (d->max_l < d->str.m) {
d->max_l = d->str.m;
=====================================
debian/rules
=====================================
@@ -35,3 +35,9 @@ override_dh_installman:
-n 'assemble Illumina short reads in small regions' \
-N --no-discard-stderr -h '' ./fml-asm > fml-asm.1
dh_installman
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ ./fml-asm test/MT-simu.fq.gz > MT.fq
+ test "$$(wc -l < MT.fq)" = "4"
+endif
=====================================
debian/tests/asm
=====================================
@@ -0,0 +1,8 @@
+#!/bin/sh
+# autopkgtest check: confirm that fml-asm works
+set -e
+
+INPUT=$(pwd)/test/MT-simu.fq.gz
+
+test "$(fml-asm ${INPUT} | wc -l)" = "4"
+echo "run: OK"
=====================================
debian/tests/control
=====================================
@@ -1,3 +1,7 @@
Tests: build-lib
Depends: @, build-essential
Restrictions: allow-stderr
+
+Tests: asm
+Depends: fml-asm
+Restrictions: allow-stderr
View it on GitLab: https://salsa.debian.org/med-team/fermi-lite/-/compare/e6ad3623bea78984a8c9013f027d29132008e2e6...b4ea6f1de4ad468a421fe67b44e661b6375488b2
--
View it on GitLab: https://salsa.debian.org/med-team/fermi-lite/-/compare/e6ad3623bea78984a8c9013f027d29132008e2e6...b4ea6f1de4ad468a421fe67b44e661b6375488b2
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200330/ae7ccfb5/attachment-0001.html>
More information about the debian-med-commit
mailing list